Option Explicit

Sub Midi_OnMidiEvents
  Dim port, tm, data
  Do While Midi.GetNextEvent(port, tm, data)
    If data(0) = &HF0 Then
      'OnSysEx port, tm, Join(data, ";")
      On_SysExInput port, Join(data, " ")
    Else
      'OnMidi port, tm, data(0), data(1), data(2)
      On_MidiInput port, data(0), data(1), data(2), tm
    End If
  Loop
End Sub

Sub SendMidi(port, tm, status, dt1, dt2)
  Dim data
  data = Array(status, dt1, dt2)
  Midi.SendMidiEvent port, tm, data
End Sub

Sub SendSysEx(port, tm, sysx)
  Dim data
  data = Split(sysx, ";")
  Midi.SendMidiEvent port, tm, data
End Sub

